export declare const PROPS_EFFECT: string
export declare const COMPONENT_EFFECT: string
export interface PropEffect<P = object> {
    type: string
    payload: {
        replace: boolean
        props: P
    }
}
export interface ComponentEffect<D = object> {
    type: string
    payload: D
}
export declare const toProps: <P>(props: P) => PropEffect<P>
export declare const asProps: <P>(props: P) => PropEffect<P>
export declare const toRender: <D>(data: D) => ComponentEffect<D>
